# Deposit Express

## Payin by Deposit Express

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by Deposit Express in Brazil.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                                       | Type   | Description                                                                                                |
| ---------------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------- |
| app\_id<mark style="color:red;">\*</mark>                  | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p>                                               |
| customer.phone<mark style="color:red;">\*</mark>           | string | User's phone                                                                                               |
| customer.email<mark style="color:red;">\*</mark>           | string | User's email                                                                                               |
| customer.identify.number<mark style="color:red;">\*</mark> | string | <p>User's identification number</p><p>- 11 digits if CPF or 14 digits if CNPJ -</p>                        |
| method<mark style="color:red;">\*</mark>                   | string | Fixed value: DepositExpress                                                                                |
| out\_trade\_no<mark style="color:red;">\*</mark>           | string | <p>ID given by the merchant in their system<br>- Max. 64 chars - </p>                                      |
| notify\_url<mark style="color:red;">\*</mark>              | string | Where Pagsmile will send notification to                                                                   |
| customer.identify.type<mark style="color:red;">\*</mark>   | string | <p>User's identification type</p><p>- CPF or CNPJ -</p>                                                    |
| customer.name<mark style="color:red;">\*</mark>            | string | User's name                                                                                                |
| timestamp<mark style="color:red;">\*</mark>                | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>                                                            |
| subject<mark style="color:red;">\*</mark>                  | string | <p>payment reason or item title</p><p>- Max. 128 chars -</p>                                               |
| order\_amount<mark style="color:red;">\*</mark>            | string | <p>payment amount<br>- 1\~50,000 BRL -</p>                                                                 |
| order\_currency<mark style="color:red;">\*</mark>          | string | Fixed value: BRL                                                                                           |
| content<mark style="color:red;">\*</mark>                  | string | <p>payment reason detail or item detail. This will be shown on the bank bill.</p><p>- Max. 255 chars -</p> |
| buyer\_id<mark style="color:red;">\*</mark>                | string | merchant user's id                                                                                         |
| address.zip\_code                                          | string | zip code                                                                                                   |
| website\_url                                               | string | <p>merchant website URL</p><p>- Max. 128 chars -</p>                                                       |
| address.street                                             | string | street                                                                                                     |
| address.street\_number                                     | string | street number                                                                                              |
| address.city                                               | string | city                                                                                                       |
| address.state                                              | string | state                                                                                                      |
| return\_url                                                | string | Redirect to Merchant's url when user finished checkout                                                     |
| bank<mark style="color:red;">\*</mark>                     | string | <p>Bank code<br>- One of: bradesco, caixa （caixa not work in test environment) -</p>                       |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "trade_no": "2022021810560500094",
    "out_trade_no": "202201010354003",
    "web_url": "https://checkout-testv2.pagsmile.com/checkout?prepay_id=Um1RbHBsVENReWlLdWJXSzFDbEFTemtCYjN5S1JUUWJwbEtndFhWSGJ1dz0=-8357Fae6",
    "pay_url": "https://checkout-testv2.pagsmile.com/checkout?prepay_id=Um1RbHBsVENReWlLdWJXSzFDbEFTemtCYjN5S1JUUWJwbEtndFhWSGJ1dz0=-8357Fae6",
    "trade_status": "PROCESSING",
    "provider_owner": "Pagsmile Brasil",
    "provider_owner_document": "23.010.551/0001­-31",
    "provider_agency": "0154",
    "provider_number": "13006729-4",
    "bank_name": "santander"
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

{% hint style="danger" %}
Deposit Express was terminated on Feb 29th, 2024. Please check [OpenFinance](/payin/submit-a-payin/brazil/openfinance.md) which is a new instant bank transfer method in Brazil. OpenFinance requires fewer actions to complete the payment.
{% endhint %}

{% hint style="info" %}
**User payment tips**

* Users need to use the complete bank account information of Pagsmile to finish the payment. Including **provider\_agency** (bank agency), **provider\_number** (bank account number), **bank\_name**, **provider\_owner\_document** (Pagsmile CNPJ)
* **pay\_url** is the page for users to submit the proof of payment to Pagsmile. In addition, an email should be sent to users with the link for submission.
* Users must submit the proof of payment for processing the payment. Users has **10** days to submit the proof of payment.
  {% endhint %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "162************38",
    * "out_trade_no": "202201010354003",
    * "method": "DepositExpress",
    * "bank": "Bradesco",
    * "order_amount": "12.01",
    * "order_currency": "BRL",
    * "subject": "trade pay test",
    * "content": "trade pay test conent",
    * "notify_url": "http://merchant/callback/success",
      "return_url": "https://www.merchant.com",
    * "buyer_id": "buyer_0101_0001",
    * "timestamp": "2022-01-01 03:54:01",
      "timeout_express":"1c",
    * "customer" : {
    *     "identify": {
    *         "type": "CPF",
    *         "number": "11032341882"
          },
    *     "name": "Test User Name",
    *     "email": "test@pagsmile.com",
    *     "phone": "75991435892"
      }
      }'
```

![Example of payment page](/files/LxamnVntpJUxpseOTIrX)

{% hint style="info" %}
Note:  **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.&#x20;
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payin/submit-a-payin/brazil/depositexpress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
